Bug 837236 - If managed restore fails, offer to discard state and start normally
If managed restore fails, offer to discard state and start normally
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
16
All Linux
medium Severity high
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 05:42 EDT by Jaromír Cápík
Modified: 2016-01-31 20:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 19:03:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaromír Cápík 2012-07-03 05:42:50 EDT
Hello.

I sometimes experience the following issue (probably triggered by seldom kernel hangs/crashes due to a high system uptime).

Some of the virtual machines get into a saved state and can't be restored or started again. After several painful restorations in form of machine cloning/deletion I found out, that there's a zero sized save file in /var/lib/libvirt/qemu/save that just needs to be deleted and that's all. I believe there should be a menu entry for discarding the machine saved state (especially when it's corrupted and can't be restored).
Please, add a new menu entry triggering a confirmation dialog for the save file deletion.

Thanks in advance.

Regards,
Jaromir.
Comment 1 Cole Robinson 2012-07-08 14:27:03 EDT
If a guest fails to start with a saved image, we should provide a follow up dialog like 'Guest could not be started from the saved state. Would you like to discard the saved state and start fresh?' or similar.
Comment 3 Fedora Update System 2012-07-09 18:03:26 EDT
virt-manager-0.9.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/virt-manager-0.9.3-1.fc16
Comment 4 Fedora Update System 2012-07-09 18:03:29 EDT
virt-manager-0.9.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/virt-manager-0.9.3-1.fc17
Comment 5 Fedora Update System 2012-07-10 16:51:43 EDT
Package virt-manager-0.9.3-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-0.9.3-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10462/virt-manager-0.9.3-1.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-07-29 17:23:31 EDT
virt-manager-0.9.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/virt-manager-0.9.4-1.fc17
Comment 7 Fedora Update System 2012-07-29 17:24:25 EDT
virt-manager-0.9.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/virt-manager-0.9.4-1.fc16
Comment 8 Fedora Update System 2012-08-09 19:03:14 EDT
virt-manager-0.9.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-09 19:24:11 EDT
virt-manager-0.9.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.